Bug 208766 - `pvs` fails to display previously created physical volume
`pvs` fails to display previously created physical volume
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: lvm2 (Show other bugs)
rawhide
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Alasdair Kergon
Jim Parsons
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-01 15:34 EDT by Michal Jaegermann
Modified: 2007-11-30 17:11 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-10 13:34:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michal Jaegermann 2006-10-01 15:34:05 EDT
Description of problem:

I am trying to add /dev/sdc to LVM using system-config-lvm.
"Logical Volume Management" graphic interface starts, for a while
loads LVM information and eventually shows /dev/sdc among
"Unintialized Entities".  Actually everything around is "unitialized".
So far so good.

After picking up /dev/sdc I have one option "Initialize Entity".
I proceed with that, which is followed by "Re-loading LVM" and I am
starring at the same "Unintialized Disk Entity /dev/sdc" as before.
Redoing that operation, or restarting the whole machine and
trying system-config-lvm again, does not change anything in this
picture.  We are stuck in an "initialize entity" loop with no
apparent way to get any further. 

Trying the same thing with a partition /dev/sdc1, which covers the
whole disk and which system-config-lvm offers to create, does not
really change anything.  Well, that partition is indeed created
but that is about it.

Version-Release number of selected component (if applicable):
system-config-lvm-1.0.18-1.2.FC6

How reproducible:
always
Comment 1 Stanko Kupcevic 2006-10-01 23:28:52 EDT
Could you paste the output of `pvs`, run as root. 
Comment 2 Michal Jaegermann 2006-10-02 02:17:45 EDT
> Could you paste the output of `pvs`, run as root.

Not very much to see, I am afraid.

# pvs -v
    Scanning for physical volume names

and that is it.  This is after 'system-config-lvm' succesfuly run.
AFAIK the later is really runnig 'pvcreate -M 2 /dev/sdc'.  From
such command I see:

# pvcreate -v -M 2 /dev/sdc
    Set up physical volume for "/dev/sdc" with 488396784 available sectors
    Zeroing start of device /dev/sdc
  Physical volume "/dev/sdc" successfully created

and this does not change anything in pvs output.
Comment 3 Alasdair Kergon 2006-10-02 04:24:45 EDT
What version of lvm2 package?

Also post output of 'pvs -a'.
Comment 4 Stanko Kupcevic 2006-10-02 11:19:21 EDT
Changing component to lvm2
Comment 5 Michal Jaegermann 2006-10-02 11:45:13 EDT
> Also post output of 'pvs -a'

Here it goes:
  PV                           VG   Fmt  Attr PSize   PFree
  /dev/mapper/pdc_cjfeejidea             --        0       0
  /dev/mapper/pdc_cjfeejideap1           --        0       0
  /dev/ram                               --        0       0
  /dev/ram10                             --        0       0
  /dev/ram11                             --        0       0
  /dev/ram12                             --        0       0
  /dev/ram13                             --        0       0
  /dev/ram14                             --        0       0
  /dev/ram15                             --        0       0
  /dev/ram2                              --        0       0
  /dev/ram3                              --        0       0
  /dev/ram4                              --        0       0
  /dev/ram5                              --        0       0
  /dev/ram6                              --        0       0
  /dev/ram7                              --        0       0
  /dev/ram8                              --        0       0
  /dev/ram9                              --        0       0
  /dev/ramdisk                           --        0       0
  /dev/root                              --        0       0
  /dev/sda1                              --        0       0
  /dev/sda10                             --        0       0
  /dev/sda12                             --        0       0
  /dev/sda13                             --        0       0
  /dev/sda14                             --        0       0
  /dev/sda2                              --        0       0
  /dev/sda3                              --        0       0
  /dev/sda5                              --        0       0
  /dev/sda6                              --        0       0
  /dev/sda7                              --        0       0
  /dev/sda8                              --        0       0
  /dev/sda9                              --        0       0
  /dev/sdc                          lvm2 --   232.89G 232.89G
Comment 6 Alasdair Kergon 2006-10-02 14:44:26 EDT
And lvm2 package version please?
Comment 7 Alasdair Kergon 2006-10-02 14:49:20 EDT
(if it's 2.02.06 would be interesting to try a 2.02.07 package from one of the
older fc* updates)
Comment 8 Alasdair Kergon 2006-10-02 14:56:57 EDT
(Oh forget that - updates are at 2.02.06 too; perhaps they contain this bug too.)
Comment 9 Michal Jaegermann 2006-10-02 15:02:23 EDT
> And lvm2 package version please?

Currently this is lvm2-2.02.06-4 (installed on "Fri 29 Sep 2006").

> ... interesting to try a 2.02.07

I might but I have troubles finding someting of that sort.  Pointers?
Comment 10 Michal Jaegermann 2006-10-27 00:50:08 EDT
With recent rawhide updates to lvm2-2.02.12-2 GUI from
system-config-lvm became at last usable and shows a status of
physical and logical volumes correctly; at least at that limited
range of operations I looked at.  I guess that this means that pvs,
among other things, started to behave.

OTOH there is lvm2-2.02.06-4 in FC6 release and with this version
I could not get very far.

Note You need to log in before you can comment on or make changes to this bug.